Subject: Re: Tagging stable releases

From: Tim Mazid <[email-masked]>
Date: Wed, 28 Oct 2009 05:17:13 -0700 (PDT)

Asaf wrote:
> 
> Hello,
> 
> I'm creating many branches, checkout code, make changes, etc..
> At the end, I always merge these branches to the master branch and delete
> them when I finish,
> 
> 
> At the point where my local master repo seems to be stable, I push the
> changes to an origin repo that is public.
> 
> 
> I guess this is a standard cycle, right?
> 

You don't need to merge everything back into master or delete branches.
When you 'git push', it only pushes remote tracking branches. (Branches that
you fetched from that repo).
If you do 'git push --all', it will push all your branches to the repo.
If you do 'git push REMOTE-REPO BRANCH', it will push just that branch. You
can, of course, list multiple branches.

Asaf wrote:
> 
> What I'm confused about is how to tag correctly versions that are stable,
> Should I locally just add a tag and push the tag to the public repo?
> 

Yup.

Asaf wrote:
> 
> Is it enough to use a lightweight tagging for tagging a certain commit as
> a release?
> 

Yes, but signing it makes others feel more confident, and if you at least
annotate, you can provide some sort of description.

Asaf wrote:
> 
> Is it possible later on to checkout a tag, make a change and push the
> change into the tagged version?
> 

Once again, yup, just do 'git checkout TAG'. Though you may want to do 'git
checkout -b NEW-BRANCH TAG'.

Good luck,
Tim.
-- 
View this message in context: http://www.nabble.com/Tagging-stable-releases-tp23045562p26093620.html
Sent from the git mailing list archive at Nabble.com.